=== debian/changelog ===
asmjit (0.0~git20200831.d1b7543-1) unstable; urgency=medium

  * New upstream version 0.0~git20200831.d1b7543
  * Patch upstream CMake, adding the SOVERSION property to shlibs.
  * Nolonger install the static library.
  * Install CMake config files to the -devel package.
  * Remove the symbols control file.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Sep 2020 13:33:50 +0800

asmjit (0.0~git20200429.9057aa3-1) experimental; urgency=medium

  * Initial Release (Closes: #958516)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 13 Aug 2019 14:59:22 +0800
