=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DASMJIT_TEST=ON -DASMJIT_BUILD_X86=ON -DASMJIT_BUILD_ARM=ON
