## asmjit 0.0~git20201108.4b13f71

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,6 @@
 if(POLICY CMP0092)
   cmake_policy(SET CMP0092 NEW) # Don't add -W3 warning level by default.
 endif()
-
-include(CheckCXXCompilerFlag)
-include(GNUInstallDirs)
 
 # Don't create a project if it was already created by another CMakeLists.txt.
 # This allows one library to embed another library without making a collision.
@@ -19,6 +16,9 @@
   project(asmjit CXX)
 endif()
 
+include(CheckCXXCompilerFlag)
+include(GNUInstallDirs)
+
 # =============================================================================
 # [AsmJit - Deprecated]
 # =============================================================================
@@ -43,10 +43,6 @@
 
 if (NOT DEFINED ASMJIT_STATIC)
   set(ASMJIT_STATIC ${ASMJIT_EMBED})
-endif()
-
-if (NOT DEFINED ASMJIT_BUILD_ARM)
-  set(ASMJIT_BUILD_ARM FALSE)
 endif()
 
 if (NOT DEFINED ASMJIT_BUILD_X86)
@@ -72,7 +68,6 @@
 set(ASMJIT_STATIC     ${ASMJIT_STATIC}            CACHE BOOL "Build 'asmjit' library as static")
 set(ASMJIT_SANITIZE   ${ASMJIT_SANITIZE}          CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
 set(ASMJIT_BUILD_X86  ${ASMJIT_BUILD_X86}         CACHE BOOL "Build X86 backends (X86 and X86_64)")
-set(ASMJIT_BUILD_ARM  ${ASMJIT_BUILD_ARM}         CACHE BOOL "Build ARM backends (ARM/Trumb and AArch64")
 
 # =============================================================================
 # [AsmJit - Project]
@@ -140,6 +135,7 @@
     add_library(${target} ${target_type} ${X_SOURCES})
   endif()
 
+  set_target_properties(${target} PROPERTIES DEFINE_SYMBOL "")
   target_link_libraries(${target} PRIVATE ${X_LIBRARIES})
 
   # target_link_options was added in cmake v3.13, don't use it for now...
@@ -236,7 +232,7 @@
   list(APPEND ASMJIT_DEPS pthread)
 endif()
 
-if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
+if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux" OR "${CMAKE_SYSTEM_NAME}" MATCHES "NetBSD")
   list(APPEND ASMJIT_DEPS rt)
 endif()
 
@@ -255,8 +251,6 @@
 
 foreach(build_option ASMJIT_STATIC
                      ASMJIT_BUILD_X86
-                     #ASMJIT_BUILD_ARM
-                     ASMJIT_BUILD_A64
                      ASMJIT_NO_DEPRECATED
                      ASMJIT_NO_JIT
                      ASMJIT_NO_LOGGING
@@ -287,29 +281,34 @@
 
 set(ASMJIT_SRC_LIST
   asmjit/asmjit.h
+  asmjit/asmjit-scope-begin.h
+  asmjit/asmjit-scope-end.h
 
   asmjit/core.h
   asmjit/core/api-build_p.h
   asmjit/core/api-config.h
-  asmjit/core/arch.cpp
-  asmjit/core/arch.h
+  asmjit/core/archtraits.cpp
+  asmjit/core/archtraits.h
+  asmjit/core/archcommons.h
   asmjit/core/assembler.cpp
   asmjit/core/assembler.h
   asmjit/core/builder.cpp
   asmjit/core/builder.h
-  asmjit/core/callconv.cpp
-  asmjit/core/callconv.h
   asmjit/core/codebuffer.h
-  asmjit/core/codebufferwriter_p.h
   asmjit/core/codeholder.cpp
   asmjit/core/codeholder.h
+  asmjit/core/codewriter.cpp
+  asmjit/core/codewriter_p.h
   asmjit/core/compiler.cpp
   asmjit/core/compiler.h
+  asmjit/core/compilerdefs.h
   asmjit/core/constpool.cpp
   asmjit/core/constpool.h
   asmjit/core/cpuinfo.cpp
   asmjit/core/cpuinfo.h
   asmjit/core/datatypes.h
+  asmjit/core/emithelper.cpp
+  asmjit/core/emithelper_p.h
   asmjit/core/emitter.cpp
   asmjit/core/emitter.h
   asmjit/core/emitterutils.cpp
