=== debian/changelog ===
asmjit (0.0~git20201108.4b13f71-1) unstable; urgency=medium

  * New upstream version 0.0~git20201108.4b13f71
  * Specify CMAKE_VERBOSE_MAKEFILE=ON.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 20:28:12 +0800
