=== debian/control ===
Source: asmjit
Priority: optional
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yangfl <mmyangfl@gmail.com>, Mo Zhou <lumin@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: libs
Vcs-Browser: https://salsa.debian.org/deeplearning-team/asmjit
Vcs-Git: https://salsa.debian.org/deeplearning-team/asmjit.git
Homepage: https://github.com/asmjit/asmjit

Package: libasmjit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasmjit0 (= ${binary:Version}), ${misc:Depends}
Description: Complete x86/x64 JIT and AOT Assembler for C++ (development files)
 AsmJit is a complete JIT and AOT assembler for C++ language. It can generate
 native code for x86 and x64 architectures and supports the whole x86/x64
 instruction set - from legacy MMX to the newest AVX512. It has a type-safe API
 that allows C++ compiler to do semantic checks at compile-time even before the
 assembled code is generated and/or executed.
 .
 This package contains the header files and the static library.

Package: libasmjit0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Complete x86/x64 JIT and AOT Assembler for C++
 AsmJit is a complete JIT and AOT assembler for C++ language. It can generate
 native code for x86 and x64 architectures and supports the whole x86/x64
 instruction set - from legacy MMX to the newest AVX512. It has a type-safe API
 that allows C++ compiler to do semantic checks at compile-time even before the
 assembled code is generated and/or executed.
