=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DASMJIT_TEST=ON -DASMJIT_BUILD_X86=ON -DASMJIT_BUILD_ARM=ON
+	dh_auto_configure -- -DASMJIT_TEST=ON -DASMJIT_BUILD_X86=ON -DASMJIT_BUILD_ARM=ON -DCMAKE_VERBOSE_MAKEFILE=ON
