## asmjit 0.0~git20211214.2a706fd

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,8 @@
 include(CheckCXXCompilerFlag)
 include(GNUInstallDirs)
 
-# =============================================================================
-# [AsmJit - Deprecated]
-# =============================================================================
+# AsmJit - Deprecated
+# ===================
 
 if (DEFINED ASMJIT_BUILD_EMBED)
   message(DEPRECATION "ASMJIT_BUILD_EMBED is deprecated, use ASMJIT_EMBED")
@@ -33,9 +32,12 @@
   set(ASMJIT_STATIC "${ASMJIT_BUILD_STATIC}")
 endif()
 
-# =============================================================================
-# [AsmJit - Configuration]
-# =============================================================================
+# AsmJit - Configuration
+# ======================
+
+if (NOT DEFINED ASMJIT_TEST)
+  set(ASMJIT_TEST FALSE)
+endif()
 
 if (NOT DEFINED ASMJIT_EMBED)
   set(ASMJIT_EMBED FALSE)
@@ -45,16 +47,24 @@
   set(ASMJIT_STATIC ${ASMJIT_EMBED})
 endif()
 
-if (NOT DEFINED ASMJIT_BUILD_X86)
-  set(ASMJIT_BUILD_X86 FALSE)
-endif()
-
-if (NOT DEFINED ASMJIT_TEST)
-  set(ASMJIT_TEST FALSE)
+if (NOT DEFINED ASMJIT_SANITIZE)
+  set(ASMJIT_SANITIZE FALSE)
+endif()
+
+if (NOT DEFINED ASMJIT_NO_X86)
+  set(ASMJIT_NO_X86 FALSE)
+endif()
+
+if (NOT DEFINED ASMJIT_NO_FOREIGN)
+  set(ASMJIT_NO_FOREIGN FALSE)
 endif()
 
 if (NOT DEFINED ASMJIT_NO_NATVIS)
   set(ASMJIT_NO_NATVIS FALSE)
+endif()
+
+if (NOT DEFINED ASMJIT_NO_CUSTOM_FLAGS)
+  set(ASMJIT_NO_CUSTOM_FLAGS FALSE)
 endif()
 
 # EMBED implies STATIC.
@@ -62,16 +72,18 @@
   set(ASMJIT_STATIC TRUE)
 endif()
 
-set(ASMJIT_DIR        "${CMAKE_CURRENT_LIST_DIR}" CACHE PATH "Location of 'asmjit'")
-set(ASMJIT_TEST       ${ASMJIT_TEST}              CACHE BOOL "Build 'asmjit' test applications")
-set(ASMJIT_EMBED      ${ASMJIT_EMBED}             CACHE BOOL "Embed 'asmjit' library (no targets)")
-set(ASMJIT_STATIC     ${ASMJIT_STATIC}            CACHE BOOL "Build 'asmjit' library as static")
-set(ASMJIT_SANITIZE   ${ASMJIT_SANITIZE}          CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
-set(ASMJIT_BUILD_X86  ${ASMJIT_BUILD_X86}         CACHE BOOL "Build X86 backends (X86 and X86_64)")
-
-# =============================================================================
-# [AsmJit - Project]
-# =============================================================================
+set(ASMJIT_DIR             "${CMAKE_CURRENT_LIST_DIR}" CACHE PATH "Location of 'asmjit'")
+set(ASMJIT_TEST            "${ASMJIT_TEST}"            CACHE BOOL "Build 'asmjit' test applications")
+set(ASMJIT_EMBED           "${ASMJIT_EMBED}"           CACHE BOOL "Embed 'asmjit' library (no targets)")
+set(ASMJIT_STATIC          "${ASMJIT_STATIC}"          CACHE BOOL "Build 'asmjit' library as static")
+set(ASMJIT_SANITIZE        "${ASMJIT_SANITIZE}"        CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
+set(ASMJIT_NO_X86          "${ASMJIT_NO_X86}"          CACHE BOOL "Disable X86/X64 backend")
+set(ASMJIT_NO_FOREIGN      "${ASMJIT_NO_FOREIGN}"      CACHE BOOL "Disable all foreign architectures (builds only host backend)")
+set(ASMJIT_NO_NATVIS       "${ASMJIT_NO_NATVIS}"       CACHE BOOL "Disable natvis support (embedding asmjit.natvis in PDB)")
+set(ASMJIT_NO_CUSTOM_FLAGS "${ASMJIT_NO_CUSTOM_FLAGS}" CACHE BOOL "Disable extra compilation flags added by AsmJit to its targets")
+
+# AsmJit - Project
+# ================
 
 set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
 set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
@@ -83,9 +95,8 @@
 set(ASMJIT_SANITIZE_CFLAGS "")                   # Compiler flags required by currently enabled sanitizers.
 set(ASMJIT_SANITIZE_LFLAGS "")                   # Linker flags required by currently enabled sanitizers.
 
-# =============================================================================
-# [AsmJit - Utilities]
-# =============================================================================
+# AsmJit - Utilities
+# ==================
 
 function(asmjit_detect_cflags out)
   set(out_array ${${out}})
@@ -157,9 +168,8 @@
   endif()
 endfunction()
 
-# =============================================================================
-# [AsmJit - Compiler Support]
-# =============================================================================
+# AsmJit - Compiler Support
+# =========================
 
 set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
 set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
@@ -250,7 +260,10 @@
 endif()
 
 foreach(build_option ASMJIT_STATIC
-                     ASMJIT_BUILD_X86
+                     # AsmJit backends selection.
+                     ASMJIT_NO_X86
+                     ASMJIT_NO_FOREIGN
+                     # AsmJit features selection.
                      ASMJIT_NO_DEPRECATED
                      ASMJIT_NO_JIT
                      ASMJIT_NO_LOGGING
@@ -265,9 +278,8 @@
   endif()
 endforeach()
 
-# =============================================================================
-# [AsmJit - Linker Support]
-# =============================================================================
+# AsmJit - Linker Support
+# =======================
 
 if (WIN32)
   if(CMAKE_LINKER MATCHES "link\\.exe" OR CMAKE_LINKER MATCHES "lld-link\\.exe")
@@ -275,9 +287,8 @@
   endif()
 endif()
 
-# =============================================================================
-# [AsmJit - Source]
-# =============================================================================
+# AsmJit - Source
+# ===============
 
 set(ASMJIT_SRC_LIST
   asmjit/asmjit.h
@@ -306,7 +317,6 @@
   asmjit/core/constpool.h
   asmjit/core/cpuinfo.cpp
   asmjit/core/cpuinfo.h
-  asmjit/core/datatypes.h
   asmjit/core/emithelper.cpp
   asmjit/core/emithelper_p.h
   asmjit/core/emitter.cpp
@@ -314,3 +324,11 @@
   asmjit/core/emitterutils.cpp
   asmjit/core/emitterutils_p.h
   asmjit/core/environment.cpp
+  asmjit/core/environment.h
+  asmjit/core/errorhandler.cpp
+  asmjit/core/errorhandler.h
+  asmjit/core/formatter.cpp
+  asmjit/core/formatter.h
+  asmjit/core/func.cpp
+  asmjit/core/func.h
+  asmjit/core/funcargscontext.cpp
