=== debian/changelog ===
asmjit (0.0~git20211214.2a706fd-1) unstable; urgency=medium

  * New upstream version 0.0~git20211214.2a706fd (Closes: #983973)

 -- Mo Zhou <lumin@debian.org>  Mon, 10 Jan 2022 00:14:49 -0500
