## asmjit 0.0~git20221210.5b5b0b3

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,6 +53,14 @@
 
 if (NOT DEFINED ASMJIT_NO_X86)
   set(ASMJIT_NO_X86 FALSE)
+endif()
+
+if (NOT DEFINED ASMJIT_NO_AARCH32)
+  set(ASMJIT_NO_AARCH32 FALSE)
+endif()
+
+if (NOT DEFINED ASMJIT_NO_AARCH64)
+  set(ASMJIT_NO_AARCH64 FALSE)
 endif()
 
 if (NOT DEFINED ASMJIT_NO_FOREIGN)
@@ -78,7 +86,9 @@
 set(ASMJIT_STATIC          "${ASMJIT_STATIC}"          CACHE BOOL "Build 'asmjit' library as static")
 set(ASMJIT_SANITIZE        "${ASMJIT_SANITIZE}"        CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
 set(ASMJIT_NO_X86          "${ASMJIT_NO_X86}"          CACHE BOOL "Disable X86/X64 backend")
-set(ASMJIT_NO_FOREIGN      "${ASMJIT_NO_FOREIGN}"      CACHE BOOL "Disable all foreign architectures (builds only host backend)")
+set(ASMJIT_NO_AARCH32      "${ASMJIT_NO_AARCH32}"      CACHE BOOL "Disable AArch32 backend (ARM and THUMB)")
+set(ASMJIT_NO_AARCH64      "${ASMJIT_NO_AARCH64}"      CACHE BOOL "Disable AArch64 backend")
+set(ASMJIT_NO_FOREIGN      "${ASMJIT_NO_FOREIGN}"      CACHE BOOL "Disable all foreign architectures (enables only a native architecture)")
 set(ASMJIT_NO_NATVIS       "${ASMJIT_NO_NATVIS}"       CACHE BOOL "Disable natvis support (embedding asmjit.natvis in PDB)")
 set(ASMJIT_NO_CUSTOM_FLAGS "${ASMJIT_NO_CUSTOM_FLAGS}" CACHE BOOL "Disable extra compilation flags added by AsmJit to its targets")
 
@@ -185,10 +195,11 @@
 set(ASMJIT_INCLUDE_DIR "${ASMJIT_INCLUDE_DIRS}")
 
 if (NOT ASMJIT_NO_CUSTOM_FLAGS)
-  if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
+  if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_COMPILER_FRONTEND_VARIANT}" STREQUAL "xMSVC")
     list(APPEND ASMJIT_PRIVATE_CFLAGS
       -MP                      # [+] Multi-Process Compilation.
       -GF                      # [+] Eliminate duplicate strings.
+      -Zc:__cplusplus          # [+] Conforming __cplusplus definition.
       -Zc:inline               # [+] Remove unreferenced COMDAT.
       -Zc:strictStrings        # [+] Strict const qualification of string literals.
       -Zc:threadSafeInit-      # [-] Thread-safe statics.
@@ -227,7 +238,7 @@
     set(ASMJIT_SANITIZE_LFLAGS ${ASMJIT_SANITIZE_CFLAGS})
 
     # Don't omit frame pointer if sanitizers are enabled.
-    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
+    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_COMPILER_FRONTEND_VARIANT}" STREQUAL "xMSVC")
       list(APPEND ASMJIT_SANITIZE_CFLAGS -Oy-)
     else()
       list(APPEND ASMJIT_SANITIZE_CFLAGS -fno-omit-frame-pointer -g)
@@ -238,7 +249,8 @@
   endif()
 endif()
 
-if (NOT WIN32)
+# Do not link to pthread on Android as it's part of C runtime.
+if (NOT WIN32 AND NOT ANDROID)
   list(APPEND ASMJIT_DEPS pthread)
 endif()
 
@@ -262,6 +274,8 @@
 foreach(build_option ASMJIT_STATIC
                      # AsmJit backends selection.
                      ASMJIT_NO_X86
+                     ASMJIT_NO_AARCH32
+                     ASMJIT_NO_AARCH64
                      ASMJIT_NO_FOREIGN
                      # AsmJit features selection.
                      ASMJIT_NO_DEPRECATED
@@ -310,25 +324,3 @@
   asmjit/core/codeholder.h
   asmjit/core/codewriter.cpp
   asmjit/core/codewriter_p.h
-  asmjit/core/compiler.cpp
-  asmjit/core/compiler.h
-  asmjit/core/compilerdefs.h
-  asmjit/core/constpool.cpp
-  asmjit/core/constpool.h
-  asmjit/core/cpuinfo.cpp
-  asmjit/core/cpuinfo.h
-  asmjit/core/emithelper.cpp
-  asmjit/core/emithelper_p.h
-  asmjit/core/emitter.cpp
-  asmjit/core/emitter.h
-  asmjit/core/emitterutils.cpp
-  asmjit/core/emitterutils_p.h
-  asmjit/core/environment.cpp
-  asmjit/core/environment.h
-  asmjit/core/errorhandler.cpp
-  asmjit/core/errorhandler.h
-  asmjit/core/formatter.cpp
-  asmjit/core/formatter.h
-  asmjit/core/func.cpp
-  asmjit/core/func.h
-  asmjit/core/funcargscontext.cpp
