=== debian/changelog ===
asmjit (0.0~git20221210.5b5b0b3-1) unstable; urgency=medium

  * New upstream version 0.0~git20221210.5b5b0b3
  * New maintainer (Closes: #1013214)
  * Drop artificial shared library, build shared library.
  * Set upstream metadata fields: Bug-Database.
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Dec 2022 02:46:28 -0500

asmjit (0.0~git20221018.8f2c237-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20221018.8f2c237 (Closes: #1021055)

 -- Andrius Merkys <merkys@debian.org>  Mon, 24 Oct 2022 10:48:04 -0400
