## asmjit 0.0~git20230818.1591915

=== debian/changelog ===
asmjit (0.0~git20230818.1591915-1) unstable; urgency=medium

  * New upstream version 0.0~git20230818.1591915

 -- Andrius Merkys <merkys@debian.org>  Mon, 04 Sep 2023 04:06:08 -0400

asmjit (0.0~git20230427.3577608-1) unstable; urgency=medium

  * New upstream version 0.0~git20230427.3577608
  * Update standards version to 4.6.2, no changes needed.
  * Add myself to debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Jun 2023 06:07:50 -0400
