=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  cmake,
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/asmjit
 Vcs-Git: https://salsa.debian.org/deeplearning-team/asmjit.git
