## asmjit 0.0~git20231115.1da9e4d

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,10 +53,6 @@
 
 if (NOT DEFINED ASMJIT_NO_X86)
   set(ASMJIT_NO_X86 FALSE)
-endif()
-
-if (NOT DEFINED ASMJIT_NO_AARCH32)
-  set(ASMJIT_NO_AARCH32 FALSE)
 endif()
 
 if (NOT DEFINED ASMJIT_NO_AARCH64)
@@ -86,7 +82,6 @@
 set(ASMJIT_STATIC          "${ASMJIT_STATIC}"          CACHE BOOL "Build 'asmjit' library as static")
 set(ASMJIT_SANITIZE        "${ASMJIT_SANITIZE}"        CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
 set(ASMJIT_NO_X86          "${ASMJIT_NO_X86}"          CACHE BOOL "Disable X86/X64 backend")
-set(ASMJIT_NO_AARCH32      "${ASMJIT_NO_AARCH32}"      CACHE BOOL "Disable AArch32 backend (ARM and THUMB)")
 set(ASMJIT_NO_AARCH64      "${ASMJIT_NO_AARCH64}"      CACHE BOOL "Disable AArch64 backend")
 set(ASMJIT_NO_FOREIGN      "${ASMJIT_NO_FOREIGN}"      CACHE BOOL "Disable all foreign architectures (enables only a native architecture)")
 set(ASMJIT_NO_NATVIS       "${ASMJIT_NO_NATVIS}"       CACHE BOOL "Disable natvis support (embedding asmjit.natvis in PDB)")
@@ -217,9 +212,12 @@
     list(APPEND ASMJIT_PRIVATE_CFLAGS -fno-math-errno)
     list(APPEND ASMJIT_PRIVATE_CFLAGS_REL -O2)
 
-    asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS
-      -fno-threadsafe-statics
-      -fno-semantic-interposition)
+    # -fno-semantic-interposition is not available on apple - the compiler issues a warning, which is not detected.
+    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
+      asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS -fno-threadsafe-statics)
+    else()
+      asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS -fno-threadsafe-statics -fno-semantic-interposition)
+    endif()
 
     # The following flags can save few bytes in the resulting binary.
     asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS_REL
@@ -274,7 +272,6 @@
 foreach(build_option ASMJIT_STATIC
                      # AsmJit backends selection.
                      ASMJIT_NO_X86
-                     ASMJIT_NO_AARCH32
                      ASMJIT_NO_AARCH64
                      ASMJIT_NO_FOREIGN
                      # AsmJit features selection.
@@ -323,4 +320,3 @@
   asmjit/core/codeholder.cpp
   asmjit/core/codeholder.h
   asmjit/core/codewriter.cpp
-  asmjit/core/codewriter_p.h
