=== debian/changelog ===
asmjit (0.0~git20231115.1da9e4d-2~exp1) experimental; urgency=medium

  * Limit architectures to 64bit by build-depending on architecture-is-64-bit.

 -- Andrius Merkys <merkys@debian.org>  Tue, 19 Mar 2024 02:48:42 -0400

asmjit (0.0~git20231115.1da9e4d-1) unstable; urgency=medium

  * New upstream version 0.0~git20231115.1da9e4d

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Nov 2023 10:25:17 -0500

asmjit (0.0~git20230914.917f19d-1) unstable; urgency=medium

  * New upstream version 0.0~git20230914.917f19d
  * Do not build on armel and armhf.

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Sep 2023 03:10:50 -0400

asmjit (0.0~git20230911.46bdb67-1) unstable; urgency=medium

  * New upstream version 0.0~git20230911.46bdb67

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 Sep 2023 03:34:20 -0400
