=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Mo Zhou <lumin@debian.org>,
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
+ architecture-is-64-bit,
  cmake,
  debhelper-compat (= 13),
 Rules-Requires-Root: no
