=== debian/tests/control ===
Tests: unittest.sh
Depends:
 @builddeps@,
Restrictions: allow-stderr
