=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/asmjit/asmjit \
HEAD debian uupdate
